<!DOCTYPE html>
<html lang="en">

<head>

  <meta charset="utf-8">
  <meta http-equiv="X-UA-Compatible" content="IE=edge">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <meta name="description" content="">
  <meta name="author" content="">

  <title>Data Peserta Pelatihan Kerja</title>

  <!-- Custom fonts for this template-->
  <link href="../assets/dashboard-admin/vendor/fontawesome-free/css/all.min.css" rel="stylesheet" type="text/css">
  <link href="https://fonts.googleapis.com/css?family=Nunito:200,200i,300,300i,400,400i,600,600i,700,700i,800,800i,900,900i" rel="stylesheet">

  <!-- Custom styles for this template-->
  <link href="../assets/dashboard-admin/css/sb-admin-2.min.css" rel="stylesheet">
  <link href="../assets/dashboard-admin/vendor/datatables/dataTables.bootstrap4.min.css" rel="stylesheet">

</head>

<body id="page-top">
<?php include 'header.php'; 
include '../config/koneksi.php';
$peserta = mysqli_query($koneksi, "SELECT * FROM pendaftaran_pelatihan WHERE status_seleksi='Lolos'"); ?>

 <!-- Begin Page Content -->
 <div class="container-fluid">

<!-- Page Heading -->
<h1 class="h3 mb-4 text-gray-800">Data Peserta</h1>

<!-- DataTales Example -->
<div class="card shadow mb-4">
    <div class="card-header py-3 bg-primary">
        <h6 class="m-0 font-weight-bold text-white">Fitur Laporan</h6>
    </div>
    <div class="card-body">
    <form action="laporan/data-peserta.php" method="POST">
        <div class="row">
            <div class="col-lg-3">
                <label>Program Pelatihan</label>
                <select class="form-control" name="order_by_pelatihan">
                    <?php $pelatihan = mysqli_query($koneksi, "SELECT * FROM program_pelatihan");
                    foreach($pelatihan as $p){
                        echo '<option>'.$p['nama_pelatihan'].'</option>';
                    } ?>
                </select>
            </div>
            <div class="col-lg-3">
                <label>Kejuruan</label>
                <select class="form-control" name="order_by_kejuruan">
                    <?php $jurusan = mysqli_query($koneksi, "SELECT * FROM jurusan");
                    foreach($jurusan as $j){
                        echo '<option>'.$j['nama_jurusan'].'</option>';
                    } ?>
                </select>
            </div>
            <div class="col-lg-3">
                <label>Gelombang</label>
                <select class="form-control" name="order_by_gelombang">
                    <?php $gelombang = mysqli_query($koneksi, "SELECT * FROM gelombang_pendaftaran");
                    foreach($gelombang as $g){
                        echo '<option>'.$g['gelombang'].'</option>';
                    } ?>
                </select>
            </div>
            <div class="col-lg-3">
                <label>Tahun</label>
                <select class="form-control" name="order_by_tahun">
                <option>2019</option>
                <option>2020</option>
                </select>
            </div>
            <div class="col-lg-3">
                <button name="cetak_laporan" class="btn btn-primary my-4"><i class="fa fa-download"></i> Cetak Laporan</button>
            </div>
        </div>
    </form>
    </div>
</div>
<div class="card shadow mb-4">
    <div class="card-header py-3 bg-primary">
        <h6 class="m-0 font-weight-bold text-white">Data Seluruh Peserta Pelatihan Kerja</h6>
    </div>
    <div class="card-body">
        <?php 
        if(isset($_GET['pesan'])){
            if($_GET['pesan'] == "berhasil_diupdate"){
                echo '<div class="alert alert-success">Data berhasil diupdate</div>';
            }
        }
        ?>
        <div class="table-responsive">
            <table class="table table-bordered" id="dataTable" width="100%" cellspacing="0">
                <thead>
                    <tr>
                        <th>Tanggal Pendaftaran</th>
                        <th>No Test</th>
                        <th>NIK</th>
                        <th>Nama Lengkap</th>
                        <th>Program Pelatihan</th>
                        <th>Kejuruan</th>
                        <th>Gelombang</th>
                        <th>Status Seleksi</th>
                        <th>Opsi</th>
                    </tr>
                </thead>
                <tbody>
                <?php while($d = mysqli_fetch_assoc($peserta)){ ?>
                    <tr>
                        <td><?php echo date('d F Y', strtotime($d['date_record'])); ?></td>
                        <td><?php echo $d['no_test']; ?></td>
                        <td><?php echo $d['nik']; ?></td>
                        <td><?php echo $d['nama_lengkap']; ?></td>
                        <td><?php echo $d['program_pelatihan']; ?></td>
                        <td><?php echo $d['kejuruan']; ?></td>
                        <td><?php echo $d['gelombang']; ?></td>
                        <td><?php echo $d['status_seleksi']; ?></td>
                        <td style="width:200px;">
                            <a class="text-info" href="view/detail-peserta.php?no_test=<?php echo $d['no_test']; ?>"><i class="fa fa-eye"></i> Detail</a> |
                            <a class="text-secondary" href="view/update-peserta.php?no_test=<?php echo $d['no_test']; ?>"><i class="fa fa-edit"></i> Update</a>
                        </td>
                    </tr>
                <?php } ?>
                </tbody>
            </table>
        </div>
    </div>
</div>
</div>
<!-- /.container-fluid -->
</div>
<?php include 'footer.php'; ?>

<!-- Custom scripts for all pages-->
<script src="js/sb-admin-2.min.js"></script>
<!-- Page level plugins -->
<script src="../assets/dashboard-admin/vendor/datatables/jquery.dataTables.min.js"></script>
<script src="../assets/dashboard-admin/vendor/datatables/dataTables.bootstrap4.min.js"></script>

<!-- Page level custom scripts -->
<script src="../assets/dashboard-admin/js/demo/datatables-demo.js"></script>